/*
Theme Name:     Dr Mandana Masters
Theme URI:
Description:    Astra child theme.
Author:         Vividus
Author URI:
Template:       astra
Version:        0.1.0
*/


/*
 * ---------------------------------------------------------------------------------------------------------------------
 * Theme Overrides / Global
 * =====================================================================================================================
 */

:root {
	--c-accent-purple: #A76277;
	--c-accent-dark-purple: #793C4E;
	--c-accent-orange: #F0D4C2;
	--c-accent-grey: #F2F1F0;
	--c-accent-white: #ffffff;

	--fw-semi-bold: 600;
}

header,
.ast-primary-header-bar {
	background-color: var(--c-accent-purple);
}

.single header.entry-header,
.single.ast-page-builder-template .entry-header {
	display: none !important;
}

/*nav.site-navigation ul.main-header-menu li a {
	color: var(--c-accent-orange) !important;
}*/
nav.site-navigation ul.main-header-menu .man-nav__phone a {
	color: var(--c-accent-dark-purple) !important;
	background-color: var(--c-accent-orange) !important;
}
/*nav.site-navigation ul.stack-on-mobile li a {
	color: var(--c-accent-dark-purple) !important;
	padding: 1em !important;
}*/

h1.site-title a,
.site-title a {
	text-transform: uppercase;
	color: var(--c-accent-orange) !important;
}

.man-nav__phone a.menu-link {
	background: var(--c-accent-grey) !important;
	border-color: var(--c-accent-grey) !important;
	color: var(--c-accent-dark-purple) !important;
	font-size: 1.125rem;
	line-height: 1.75rem;
	font-weight: 900;
	padding: 1em;
}

[data-section="section-header-mobile-trigger"] .ast-button-wrap .mobile-menu-toggle-icon .ast-mobile-svg {
	fill: var(--c-accent-white) !important;
}

/* Make phone # in mobile menu larger and bolder */
.ast-builder-menu-mobile .main-navigation .menu-item > .menu-link {
	font-size: 1.125rem;
	line-height: 1.75rem;
	font-weight: 900;
}

#gform_confirmation_message_1 {
	color: var(--c-accent-white) !important;
}


/*
 * ---------------------------------------------------------------------------------------------------------------------
 * Home
 * =====================================================================================================================
 */

.mm-infobox__hero h1.uabb-infobox-title {
	text-transform: uppercase;
	color: var(--c-accent-purple);
}
.mm-infobox__hero .uabb-infobox-text p,
.mm-infobox__hero .uabb-infobox-text li {
	color: var(--c-accent-purple);
}
.mm-infobox__hero .uabb-creative-button-wrap a {
	background: var(--c-accent-white) !important;
	border-color: var(--c-accent-white) !important;
}



.mm-infobox__services h2.uabb-infobox-title {
	text-transform: uppercase;
	color: var(--c-accent-purple);
}
.mm-infobox__services .uabb-infobox-text p,
.mm-infobox__services .uabb-infobox-text li {
	color: var(--c-accent-purple);
}
.mm-infobox__services .uabb-creative-button-wrap a {
	background: transparent !important;
	border: 1px solid var(--c-accent-purple) !important;
}



.mm-infobox__services-grey h2.uabb-infobox-title {
	text-transform: uppercase;
	color: var(--c-accent-purple);
}
.mm-infobox__services-grey .uabb-infobox-text p,
.mm-infobox__services-grey .uabb-infobox-text li {
	color: var(--c-accent-purple);
}
.mm-infobox__services-grey .uabb-creative-button-wrap a {
	background: transparent !important;
	border: 1px solid var(--c-accent-purple) !important;
}



.mm-infobox__about .uabb-infobox {
	padding: 3em;
}
.mm-infobox__about h2.uabb-infobox-title {
	text-transform: uppercase;
	color: var(--c-accent-purple);
	/*width: 20ch;*/
}
.mm-infobox__about .uabb-infobox-text p,
.mm-infobox__about .uabb-infobox-text li {
	color: var(--c-accent-purple);
}
.mm-infobox__about .uabb-creative-button-wrap a {
	background: transparent !important;
	border: 1px solid var(--c-accent-purple) !important;
}


.mm-infobox__2col .uabb-infobox-text {
	columns: 250px 2;

}


.mm-form__home-contact .gfield_label,
.mm-form__home-contact label {
	color: var(--c-accent-white);
}
.mm-form__home-contact .gfield_required .gfield_required_text {
	color: var(--c-accent-orange);
}
.mm-form__home-contact input[type="submit"] {
	background: var(--c-accent-white) !important;
	border-color: var(--c-accent-white) !important;

	font-family: 'Josefin Sans', Verdana, Arial, Helvetica, sans-serif;
	font-weight: var(--fw-semi-bold);
	color: var(--c-accent-purple) !important;
	text-transform: uppercase;
	font-size: 1.125rem;
	line-height: 1.75rem;
	letter-spacing: 0.05em;
	padding: 2em;
}




/*
 * ---------------------------------------------------------------------------------------------------------------------
 * Content
 * =====================================================================================================================
 */

.mm-infobox__btn .uabb-infobox {
	padding: 1em 3em !important;
}

.mm-infobox__btn a.uabb-button {
	width: 100% !important;
}
.mm-infobox__btn a.uabb-button:hover {
	color: var(--c-accent-purple) !important;
}


.mm-infobox__services h2.uabb-infobox-title:hover {
	color: var(--c-accent-white) !important;
}



/*
 * ---------------------------------------------------------------------------------------------------------------------
 * Footer
 * =====================================================================================================================
 */

footer {
	background-color: var(--c-accent-dark-purple);
}

footer p {
	color: var(--c-accent-white);
}
footer p a {
	color: var(--c-accent-orange);
	font-weight: var(--fw-semi-bold);
}


/*
 * ---------------------------------------------------------------------------------------------------------------------
 * ---------------------------------------------------------------------------------------------------------------------
 * Media Queries
 * =====================================================================================================================
 * =====================================================================================================================
 */

/* Astra small screen fix */
@media (max-width: 768px)
{
	.fl-col-small:not(.fl-col-small-full-width) {
		max-width: 80% !important;
	}
}


/* Small phone (~320px) */
@media only screen and (min-width: 20em)
{

	nav.site-navigation ul.stack-on-mobile li a {
		color: var(--c-accent-dark-purple) !important;
		padding: 1em !important;
	}

	.site-title a {
		text-transform: uppercase !important;
		color: var(--c-accent-orange);
	}

	/* Hide mobile menu button for single page site */
	/*.ast-mobile-header-wrap .ast-button-wrap .menu-toggle.main-header-menu-toggle {
		display: none !important;
	}*/

	.mm-infobox__services h2.uabb-infobox-title {
		padding-top: 2em !important;
	}

	.mm-infobox__hero a span.uabb-button-text {
		color: var(--c-accent-purple) !important;
		text-transform: uppercase !important;
	}

	.mm-infobox__services .uabb-creative-button-wrap a span.uabb-button-text {
		color: var(--c-accent-purple) !important;
		text-transform: uppercase !important;
	}

	.uabb-infobox-text p,
	.uabb-infobox-text li {
		font-size: 1.125rem !important;
		line-height: 1.75rem !important;
	}

	.man-logo__burnside img {
		width: 50% !important;
	}

	footer .mm-footer__title p {
		font-size: 1.5rem;
		line-height: 2rem;
		text-transform: uppercase;
	}

	.mm-contact__details .uabb-infobox-text p a {
		color: var(--c-accent-purple) !important;
	}

	.mm-infobox__about .uabb-button-text {
		font-size: 1.5rem !important;
		line-height: 2rem !important;
		color: var(--c-accent-purple) !important;
	}

}

/* iPad Mini landscape (~1133px) */
@media only screen and (min-width: 70em)
{
	nav.site-navigation ul.main-header-menu li a {
		color: var(--c-accent-orange) !important;
	}
	nav.site-navigation ul.sub-menu li a {
	    color: var(--c-accent-purple) !important;
	}
	nav.site-navigation ul.stack-on-mobile li a {
		color: var(--c-accent-orange) !important;
		padding: 1em !important;
	}

	.man-logo__burnside img {
		width: 100% !important;
	}
}

/* Low DPI Laptop (~1280px) */
@media only screen and (min-width: 80em)
{
	.fl-row-fixed-width {
		max-width: 1180px;
	}

	nav.site-navigation ul.main-header-menu li a {
		color: var(--c-accent-orange) !important;
	}
	nav.site-navigation ul.sub-menu li a {
	    color: var(--c-accent-purple) !important;
	}

	.mm-infobox__hero h1.uabb-infobox-title {
		font-size: 4.5rem;
		line-height: 1;
		width: 15ch;
	}
	.mm-infobox__hero .uabb-infobox-text p,
	.mm-infobox__hero .uabb-infobox-text li {
		font-size: 1.5rem !important;
		line-height: 2rem !important;
		padding: 1em 0;
	}
	.mm-infobox__hero .uabb-button-text {
		font-family: 'Josefin Sans', Verdana, Arial, Helvetica, sans-serif;
		font-weight: var(--fw-semi-bold);
		color: var(--c-accent-purple) !important;
		text-transform: uppercase;
		font-size: 1.125rem;
		line-height: 1.75rem;
		letter-spacing: 0.05em;
		padding: 2em;
	}


	.mm-row__services .fl-row-content-wrap {
		padding: 8em 0;
	}


	.mm-infobox__services h2.uabb-infobox-title {
		font-size: 2.25rem;
		line-height: 2.5rem;
		letter-spacing: 0.05em;
		padding-top: 3em;
	}
	.mm-infobox__services .uabb-infobox-text p,
	.mm-infobox__services .uabb-infobox-text li {
		font-size: 1.125rem !important;
		line-height: 1.5rem !important;
	}
	.mm-infobox__services .uabb-button-text {
		font-family: 'Josefin Sans', Verdana, Arial, Helvetica, sans-serif;
		color: var(--c-accent-purple) !important;
		text-transform: uppercase;
		font-size: 1.125rem;
		line-height: 1.75rem;
		letter-spacing: 0.05em;
		padding: 2em 1em;
	}
	.mm-infobox__services .uabb-infobox-button {
		padding-bottom: 2em;
	}


	.mm-infobox__services-grey h2.uabb-infobox-title {
		font-size: 2.25rem;
		line-height: 2.5rem;
		letter-spacing: 0.05em;
	}
	.mm-infobox__services-grey .uabb-infobox-text p,
	.mm-infobox__services-grey .uabb-infobox-text li {
		font-size: 1.125rem !important;
		line-height: 1.5rem !important;
	}
	.mm-infobox__services-grey .uabb-button-text {
		font-family: 'Josefin Sans', Verdana, Arial, Helvetica, sans-serif;
		color: var(--c-accent-purple) !important;
		text-transform: uppercase;
		font-size: 1.125rem;
		line-height: 1.75rem;
		letter-spacing: 0.05em;
	}
	.mm-infobox__services-grey a.fl-button {
		text-decoration: underline;
	}


	.mm-contact__details .uabb-infobox-text p,
	.mm-contact__details .uabb-infobox-text li {
		font-size: 1.125rem !important;
		line-height: 1.5rem !important;
	}


	.mm-row__about .fl-row-content-wrap {
		padding: 8em 0;
		background-color: var(--c-accent-orange);
	}


	.mm-infobox__about h2.uabb-infobox-title {
		font-size: 2.25rem;
		line-height: 2.5rem;
		letter-spacing: 0.05em;
	}
	.mm-infobox__about .uabb-infobox-text p,
	.mm-infobox__about .uabb-infobox-text li {
		font-size: 1.125rem !important;
		line-height: 1.5rem !important;
	}
	.mm-infobox__about .uabb-button-text {
		font-family: 'Josefin Sans', Verdana, Arial, Helvetica, sans-serif;
		color: var(--c-accent-purple) !important;
		text-transform: uppercase;
		font-size: 1.125rem;
		line-height: 1.75rem;
		letter-spacing: 0.05em;
	}




	.mm-footer__title p {
		font-family: 'Josefin Sans', Verdana, Arial, Helvetica, sans-serif;
		color: var(--c-accent-orange) !important;
		text-transform: uppercase;
		font-size: 1.5rem;
		line-height: 2rem;
	}
}
